import { OnChanges, AfterViewInit, OnDestroy, ChangeDetectorRef, SimpleChanges, TemplateRef } from '@angular/core';
import { Settings } from './shared/settings.interface';
export declare class NgxGlideComponent implements OnChanges, AfterViewInit, OnDestroy {
    private changeDetectorRef;
    private platformId;
    showArrows: boolean;
    showBullets: boolean;
    arrowLeftLabel: string;
    arrowLeftTemplate: TemplateRef<any>;
    arrowRightLabel: string;
    arrowRightTemplate: TemplateRef<any>;
    listenToEvents: boolean;
    glideBullets: number[];
    private type;
    private startAt;
    private perView;
    private focusAt;
    private gap;
    private autoplay;
    private hoverpause;
    private keyboard;
    private bound;
    private swipeThreshold;
    private dragThreshold;
    private perTouch;
    private touchRatio;
    private touchAngle;
    private animationDuration;
    private rewind;
    private rewindDuration;
    private animationTimingFunc;
    private direction;
    private peek;
    private breakpoints;
    private classes;
    private throttle;
    private mountedBefore;
    private mountedAfter;
    private updated;
    private played;
    private paused;
    private buildedBefore;
    private buildedAfter;
    private ranBefore;
    private ran;
    private ranAfter;
    private ranOffset;
    private runStarted;
    private runEnded;
    private moved;
    private movedAfter;
    private resized;
    private swipeStarted;
    private swipeMoved;
    private swipeEnded;
    private translateJumped;
    private glideEl;
    private glideSlidesEl;
    private glide;
    constructor(changeDetectorRef: ChangeDetectorRef, platformId: string);
    private static getGlideUpdateSettings;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    getStyleDisplay(condition: boolean): string;
    getIndex(): number;
    getSettings(): Settings;
    getType(): string;
    isDisabled(): boolean;
    mount(): void;
    update(settings: object): void;
    destroy(): void;
    go(pattern: string): void;
    pause(): void;
    play(force?: number): void;
    disable(): void;
    enable(): void;
    isType(type: string): boolean;
    private initGlideBullets;
    private initGlideEvents;
    private getGlideInitSettings;
}
